=== debian/changelog ===
netplan.io (0.36.1) bionic; urgency=medium

  * tests/integration.py: Do a better cleanup for bridge-based tests; should
    fix instability with test_mix_bridge_on_bond.
  * tests/integration.py: Adjust autopkgtests to account for default behavior
    change for up/down delay, arp interval, mii interval introduced in the
    last upload.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 23 Apr 2018 17:03:11 -0400

netplan.io (0.36) bionic; urgency=medium

  * 'netplan try': properly reset terminal flags at the end of the command,
    so that terminal behaves the same after as before it was run.
    (LP: #1766283)
  * Fix default behavior for unspecified time values in bond parameters: if
    no time-value suffix such as 'ms' is added, consider the value to be in
    milliseconds for MII monitor interval, up/down delay and ARP interval
    so users can have the expected additional granularity when setting up
    these parameters. (LP: #1765833)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 23 Apr 2018 11:38:56 -0400

netplan.io (0.35) bionic; urgency=medium

  * debian/postinst: fix version check for when to write breadcrumbs.
    (LP: #1756742)
  * bonds/bridges: Support specifying time-based values with "ms" suffix when
    the value should be in milliseconds; while keeping support for the previous
    behavior of handling values are pure seconds when no suffix is present.
    (LP: #1745597)
  * IPv6: accept-ra should default to being unset, so that the kernel default
    can be used. (LP: #1732002)
  * DHCPv4: add a "dhcp-identifier: mac" field that can be set to fix interop
    with Windows Server-based DHCP servers which don't support RFC 4361.
    (LP: #1738998)
  * docs, examples: reformat comments in examples, add standalone example files
  * debian/docs, debian/netplan.io.install: install doc and examples in the
    right locations.
  * netplan try: allow users to preview/test and approve network configuration
    changes, and automatically revert if they are not accepted. (LP: #1764824)
  * networkd: don't wipe out /run/netplan on generate: we do want to keep any
    YAML configurations in that directory, we just need to remove generated
    wpasupplicant configs. (LP: #1764869)
  * debian/control: add bash-completion to Build-Depends to make sure we do
    install completion files in the right location.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 17 Apr 2018 21:49:21 -0400

netplan.io (0.34.1) bionic; urgency=medium

  * Makefile: be more distro-agnostic, support different paths for pyflakes,
    pycodestyle, etc.
  * Makefile: allow varying install destinations.
  * Do not attempt to rebind driver 'qeth'. (LP: #1756322)
  * docs/netplan.md: clarify the behavior of 'dhcp6: yes'.
  * docs/netplan.md, docs/manpage.md: rework documentation files to generate
    the manpage with its own headers and other things that don't apply to other
    doc formats such as HTML.
  * migrate: command renamed from ifupdown-migrate, although still disabled.
  * tests: re-instate bridge-priority integration test.
  * Added .spec build rules file for building RPM packages.
  * debian/postinst: reworded "breadcrumbs" written to /etc/network/interfaces.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 22 Mar 2018 15:09:12 -0400

netplan.io (0.34) bionic; urgency=medium

  * New release 0.34 (LP: #1754019):
    * Implement "optional: true" to correctly write systemd network definitions
      with "RequiredForOnline=false", so that these networks do not block boot.
      (LP: #1664844)
    * Implement 'help' as a subcommand of any netplan command, so that running
      'netplan * help' always returns some helpful information. (LP: #1748629)
    * Reinstate snap support for dealing with the NetworkManager snap.
      (LP: #1747714)
    * Added bash completion. (LP: #1749869)
    * Implement 'netplan ip leases': allows users to retrieve lease information
      for the backend in use; to query for custom DHCP options.
    * Don't silently break bridge-priority; fix it instead. (LP: #1752162)
    * Miscellaneous coverage, linting, and fuzzing fixes.
    * Refactor subcommands into separate source files, automate command loading
      and various code cleanups.
    * Disable "ifupdown-migrate"; which is incomplete and thus risks breaking
      systems. Better iterate over it without showing it as a viable option.
    * Add better routing support, implement initial routing policy support.
      - Add 'on-link' support. (LP: #1735193)
  * debian/control:
    - Renamed source and "real" binary to netplan.io.
    - Added a transitional package for nplan.
    - Updated Vcs-* fields to point to the Github project we now use.
    - Updated Standards-Version, debhelper.
  * debian/compat: bump to debhelper compat level 11.
  * debian/copyright: Update Format: field for https.
  * debian/netplan.io.install: obligatory file to install files.
  * debian/source/format: now we're 3.0 native, for reals.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 07 Mar 2018 15:29:45 +0100

nplan (0.33) bionic; urgency=medium

  * replug: Do not unbind ath9kl_sdio. Thanks Oliver! (LP: #1741910)
  * doc: fix syntax for IPv6 example addresses. IPv6 needs to be escaped in
    YAML. (LP: #1735317)
  * debian/postinst: Write breadcrumbs on disk in /etc/network/interfaces to
    denote the migration to using netplan. (LP: #1744968)
  * bridge: implement port-priority support for the NM and networkd backends.
    (LP: #1735821)
  * doc: routes are not top-level but per-interface. (LP: #1726695)
  * Rework CLI parsing / code layout to better handle subcommands.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 23 Jan 2018 11:32:47 -0500

nplan (0.32) bionic; urgency=medium

  * src/nm.c: better handle the UUID generation; the order of iterating
    through interaces may affect things here. Also make sure the tests catch
    a null UUID.


