=== debian/control ===
Source: netplan.io
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Section: net
Priority: important
Standards-Version: 4.1.3
Build-Depends: debhelper (>= 11),
 pkg-config,
 bash-completion,
 libyaml-dev,
 libglib2.0-dev,
 uuid-dev,
 python3 (>= 3.1),
 python3-coverage,
 python3-yaml,
 systemd,
 pyflakes3,
 pycodestyle | pep8,
 python3-nose,
 pandoc,
Vcs-Git: https://github.com/CanonicalLtd/netplan
Vcs-Browser: https://github.com/CanonicalLtd/netplan

Package: netplan.io
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
 ${misc:Depends},
 python3,
 python3-yaml,
 systemd (>= 235-3ubuntu3),
Suggests: network-manager | wpasupplicant
Conflicts: netplan
Breaks: nplan (<< 0.34~), network-manager (<< 1.2.2-0ubuntu4~)
Replaces: nplan (<< 0.34~)
Provides: nplan
Description: YAML network configuration abstraction for various backends
 netplan reads YAML network configuration files which are written
 by administrators, installers, cloud image instantiations, or other OS
 deployments. During early boot it then generates backend specific
 configuration files in /run to hand off control of devices to a particular
 networking daemon.
 .
 Currently supported backends are networkd and NetworkManager.

Package: nplan
Architecture: all
Priority: optional
Section: oldlibs
Depends: netplan.io, ${misc:Depends}
Description: YAML network configuration abstraction - transitional package
 netplan reads YAML network configuration files which are written
 by administrators, installers, cloud image instantiations, or other OS
 deployments. During early boot it then generates backend specific
 configuration files in /run to hand off control of devices to a particular
 networking daemon.
 .
 This is a transitional package that installs 'netplan.io'.
