=== debian/tests/control ===
Tests: integration.py
Tests-Directory: tests
Depends: @,
  systemd,
  network-manager,
  hostapd,
  dnsmasq-base,
Restrictions: allow-stderr, needs-root, isolation-machine

Tests: autostart
Restrictions: allow-stderr, needs-root, isolation-container
