## netplan.io 0.40.1~18.04.4

=== Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 PYFLAKES3 ?= $(shell which pyflakes-3 || which pyflakes3 || echo true)
 PYCODESTYLE3 ?= $(shell which pycodestyle-3 || which pycodestyle || which pep8 || echo true)
 
-default: generate doc/netplan.5 doc/netplan.html
+default: generate doc/netplan.html doc/netplan.5 doc/netplan-generate.8 doc/netplan-apply.8 doc/netplan-try.8
 
 generate: src/generate.[hc] src/parse.[hc] src/util.[hc] src/networkd.[hc] src/nm.[hc]
 	$(CC) $(BUILDFLAGS) $(CFLAGS) -o $@ $(filter %.c, $^) `pkg-config --cflags --libs glib-2.0 gio-2.0 yaml-0.1 uuid`
@@ -37,6 +37,7 @@
 	tests/generate.py
 	tests/cli.py
 	nosetests3 -v --with-coverage
+	tests/validate_docs.sh
 
 linting:
 	$(PYFLAKES3) $(PYCODE)
@@ -66,7 +67,8 @@
 
 install: default
 	mkdir -p $(DESTDIR)/$(SBINDIR) $(DESTDIR)/$(ROOTLIBEXECDIR)/netplan $(DESTDIR)/$(SYSTEMD_GENERATOR_DIR)
-	mkdir -p $(DESTDIR)/$(MANDIR)/man5 $(DESTDIR)/$(DOCDIR)/netplan/examples
+	mkdir -p $(DESTDIR)/$(MANDIR)/man5 $(DESTDIR)/$(MANDIR)/man8
+	mkdir -p $(DESTDIR)/$(DOCDIR)/netplan/examples
 	mkdir -p $(DESTDIR)/$(DATADIR)/netplan/netplan
 	install -m 755 generate $(DESTDIR)/$(ROOTLIBEXECDIR)/netplan/
 	find netplan/ -name '*.py' -exec install -Dm 644 "{}" "$(DESTDIR)/$(DATADIR)/netplan/{}" \;
@@ -76,13 +78,17 @@
 	install -m 644 doc/*.html $(DESTDIR)/$(DOCDIR)/netplan/
 	install -m 644 examples/*.yaml $(DESTDIR)/$(DOCDIR)/netplan/examples/
 	install -m 644 doc/*.5 $(DESTDIR)/$(MANDIR)/man5/
+	install -m 644 doc/*.8 $(DESTDIR)/$(MANDIR)/man8/
 	install -D -m 644 src/netplan-wpa@.service $(DESTDIR)/$(SYSTEMD_UNIT_DIR)/netplan-wpa@.service
 	install -T -D -m 644 netplan.completions $(DESTDIR)/$(BASH_COMPLETIONS_DIR)/netplan
 
 %.html: %.md
 	pandoc -s --toc -o $@ $<
 
-doc/netplan.5: doc/manpage.md doc/netplan.md
+doc/netplan.5: doc/manpage-header.md doc/netplan.md doc/manpage-footer.md
+	pandoc -s -o $@ $^
+
+%.8: %.md
 	pandoc -s -o $@ $^
 
 .PHONY: clean
