## netplan.io 0.40.2

=== debian/changelog ===
netplan.io (0.40.2) cosmic; urgency=medium

  * tests/integration.py: Mark regexes with r to pacify pycodestyle's W605.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 04 Oct 2018 16:02:53 -0400
