## netplan.io 0.95

=== Makefile ===
--- 
+++ 
@@ -22,6 +22,7 @@
 # Order: Fedora/Mageia/openSUSE || Debian/Ubuntu || null
 PYFLAKES3 ?= $(shell which pyflakes-3 || which pyflakes3 || echo true)
 PYCODESTYLE3 ?= $(shell which pycodestyle-3 || which pycodestyle || which pep8 || echo true)
+NOSETESTS3 ?= $(shell which nosetests-3 || which nosetests3 || echo true)
 
 default: generate doc/netplan.html doc/netplan.5 doc/netplan-generate.8 doc/netplan-apply.8 doc/netplan-try.8
 
@@ -34,9 +35,8 @@
 	rm -rf test-coverage .coverage
 
 check: default linting
-	tests/generate.py
 	tests/cli.py
-	nosetests3 -v --with-coverage
+	$(NOSETESTS3) -v --with-coverage
 	tests/validate_docs.sh
 
 linting:
