=== debian/changelog ===
netplan.io (0.95-2) unstable; urgency=medium

  * Set Priority to optional (Closes: #920327).

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 24 Jan 2019 09:43:13 +0100

netplan.io (0.95-1) unstable; urgency=medium

  * New upstream release.
  * Update autopkgtests from the upstream.
  * Add debian/watch following GitHub releases.
  * Add Homepage (Closes: #917233).

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 29 Dec 2018 16:34:23 +0100

netplan.io (0.40.2-1) unstable; urgency=medium

  * Upload to Debian (Closes: #882661).

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 14 Nov 2018 16:29:42 -0800
