=== debian/control ===
Source: netplan.io
Maintainer: Debian netplan Maintainers <team+netplan@tracker.debian.org>
Uploaders:
 Andrej Shadura <andrewsh@debian.org>,
 Mathieu Trudel-Lapierre <mathieu.trudel-lapierre@canonical.com>
Section: net
Priority: optional
Standards-Version: 4.1.3
Build-Depends: debhelper (>= 11),
 pkg-config,
 bash-completion,
 libyaml-dev,
 libglib2.0-dev,
 uuid-dev,
 python3 (>= 3.1),
 python3-coverage,
 python3-yaml,
 python3-netifaces,
 systemd,
 pyflakes3,
 pycodestyle | pep8,
 python3-nose,
 pandoc,
Vcs-Git: https://salsa.debian.org/debian/netplan.io.git
Vcs-Browser: https://salsa.debian.org/debian/netplan.io
Homepage: https://netplan.io/

Package: netplan.io
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
 ${misc:Depends},
 iproute2,
 python3,
 python3-yaml,
 python3-netifaces,
 systemd (>= 239~),
Suggests: network-manager | wpasupplicant
Conflicts: netplan
Breaks: nplan (<< 0.34~), network-manager (<< 1.2.2-1)
Replaces: nplan (<< 0.34~)
Provides: nplan
Description: YAML network configuration abstraction for various backends
 netplan reads YAML network configuration files which are written
 by administrators, installers, cloud image instantiations, or other OS
 deployments. During early boot it then generates backend specific
 configuration files in /run to hand off control of devices to a particular
 networking daemon.
 .
 Currently supported backends are networkd and NetworkManager.
