## netplan.io 0.96

=== debian/changelog ===
netplan.io (0.96-0ubuntu4) disco; urgency=medium

  * d/p/0001-Partially-revert-the-change-for-enabling-systemd-net.patch:
    Also update tests to account for moving the systemd-networkd.service
    link.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 28 Mar 2019 15:15:13 -0400

netplan.io (0.96-0ubuntu3) disco; urgency=medium

  * d/p/0001-Partially-revert-the-change-for-enabling-systemd-net.patch:
    Partially revert changes to networkd jobs ordering: leave systemd-networkd
    enabled in multi-user.target instead of network-online.target, as in some
    minimal setups there might be no job requiring network-online.target,
    whereas the natural target to reach for booting is multi-user.target.
    (LP: #1821867)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 28 Mar 2019 13:53:40 -0400

netplan.io (0.96-0ubuntu2) disco; urgency=medium

  * d/p/0001-Automatically-skip-tests-when-wifi-is-clearly-unavai.patch:
    Update wifi tests to try to make them more reliable.
  * debian/tests/control: explicilty mark wifi tests flaky.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 14 Mar 2019 14:11:47 -0400

netplan.io (0.96-0ubuntu1) disco; urgency=medium

  * New upstream release 0.96.
    - Moved netplan-wpa@ services to earlier at boot (LP: #1819014)
    - Restart services when unconfiguring (LP: #1811868)
    - Use the .nmconnection extension for NM keyfiles (LP: #1817655)
    - Fixed integration tests runner to correctly report failures
    - Enforce integrity for use-routes in networkd backend.
    - Ensure terminal state at end of test (LP: #1817660)
    - Various small test fixes.
    - Fix typos in documentation.
  * debian/control: Update Maintainer for ubuntu upload.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 07 Mar 2019 14:00:26 -0500
