=== debian/changelog ===
netplan.io (0.97-0ubuntu1~18.10.1) cosmic; urgency=medium

  * Backport netplan.io 0.97 to 18.10. (LP: #1828299)
  * Keep debian/patches/glib_changes.patch: Make sure tests work on older GLib.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 09 May 2019 11:29:56 -0400

netplan.io (0.97-0ubuntu1) eoan; urgency=medium

  * New upstream release: 0.97
    - networkd: force bringing up devices with no IP addresses (LP: #1763608)
    - Reworked renderer choosing to avoid regression in default renderer when
      multiple files specify it globally (LP: #1825206)
    - Fixed networkd activation. (LP: #1821867)
  * Drop all patches; they are included in the upstream release.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 08 May 2019 16:50:13 -0400

netplan.io (0.96-0ubuntu0.18.10.3) cosmic; urgency=medium

  * debian/patches/git_revert_explicit_renderer_def_ebc212a.patch: revert
    commit ebc212a: make renderer values explicit at the end of each parsing
    pass; it breaks "default" renderer behavior when multiple files may set
    a global renderer and expect the last to take effect globally.
    (LP: #1825206)
  * debian/patches/git_reorg_netdef_validation_181b583.patch: correct the
    fallout from the above change: validate netdefs in a single pass at the
    very end of parsing, once we know which is the applicable renderer. This
    makes sure tunnels get validated correctly.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Fri, 26 Apr 2019 15:19:19 -0400

netplan.io (0.96-0ubuntu0.18.10.2) cosmic; urgency=medium

  * d/p/0001-Partially-revert-the-change-for-enabling-systemd-net.patch:
    Partially revert changes to networkd jobs ordering: leave systemd-networkd
    enabled in multi-user.target instead of network-online.target, as in some
    minimal setups there might be no job requiring network-online.target,
    whereas the natural target to reach for booting is multi-user.target.
    (LP: #1821867)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 28 Mar 2019 13:57:46 -0400

netplan.io (0.96-0ubuntu0.18.10.1) cosmic; urgency=medium

  * Backport netplan.io 0.96 to 18.10.
  * debian/patches/glib_changes.patch: Patch tests to work again on older GLib.
  * debian/control: adjust Depends for cosmic / re-add nplan package.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 07 Mar 2019 16:49:19 -0500

netplan.io (0.95) disco; urgency=medium

  * New upstream release:
    - Added support for WPA Enterprise / 802.1x authentication (LP: #1739578)
    - Added support for setting up IP tunnels; supporting the types: ipip,
      gretap, VTI, ISATAP (NetworkManager only), sit, gre, ipip6 and ip6ip6.
      + Fixes sit (ipv6) tunnels using Hurricane Electric (LP: #1799487)
    - Add support to override networkd UseMTU setting (LP: #1807273)
    - Generate output files in dependency order
    - Refactored unit and integration tests, along with various cleanups.
    - Add DHCP overrides to control route usage and default metric for DHCP
      routes. (LP: #1776228)
    - Mitigate against bad matching on devices behind bonds then they share
      the same MAC from a physical interface. (LP: #1804861)
    - Added snapcraft.yaml.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Fri, 14 Dec 2018 16:04:05 -0500

netplan.io (0.90.1) disco; urgency=medium

  * Do not assume /etc/network exists in postinst, as netbase 5.5 no longer
    creates it.
  * netplan/cli/commands/ip.py: fix a flake.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 26 Nov 2018 10:59:38 +1300

netplan.io (0.90) disco; urgency=medium

  * New upstream release:
    - build: fixes for building on RPM-based distros
    - build: code prettiness changes (make indentation consistent)
    - Fix device name-changes detection (LP: #1770082)
    - Add support for IPv6 Privacy Extensions (LP: #1750392)
    - Add dhcp{4,6}-overrides to control DNS, NTP, hostname updates via DHCP
      (LP: #1759014)
    - Clarify MAC and MTU setting requirements (LP: #1800668)
    - Various documentation fixes (LP: #1800669)
    - Improve error reporting to give clearer messages and context
      (LP: #1800670)
    - Skip non-physical/bond interfaces when applying renames (LP: #1802322)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 21 Nov 2018 14:06:13 -0500
