=== debian/control ===
--- 
+++ 
@@ -35,10 +35,10 @@
  python3,
  python3-yaml,
  python3-netifaces,
- systemd (>= 239~),
+ systemd (>= 235-3ubuntu3),
 Suggests: network-manager | wpasupplicant
 Conflicts: netplan
-Breaks: nplan (<< 0.34~), network-manager (<< 1.2.2-1)
+Breaks: nplan (<< 0.34~), network-manager (<< 1.2.2-0ubuntu4~)
 Replaces: nplan (<< 0.34~)
 Provides: nplan
 Description: YAML network configuration abstraction for various backends
@@ -49,3 +49,17 @@
  networking daemon.
  .
  Currently supported backends are networkd and NetworkManager.
+
+Package: nplan
+Architecture: all
+Priority: optional
+Section: oldlibs
+Depends: netplan.io, ${misc:Depends}
+Description: YAML network configuration abstraction - transitional package
+ netplan reads YAML network configuration files which are written
+ by administrators, installers, cloud image instantiations, or other OS
+ deployments. During early boot it then generates backend specific
+ configuration files in /run to hand off control of devices to a particular
+ networking daemon.
+ .
+ This is a transitional package that installs 'netplan.io'.
