=== debian/changelog ===
netplan.io (0.98-2) unstable; urgency=medium

  * Cherry-pick upstream commits.
  * Use debhelper-compat instead of debian/compat.
  * Bump debhelper from old 11 to 12.
  * Bump Standards-Version to 4.4.1 (no changes).

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 01 Nov 2019 15:21:21 +0100

netplan.io (0.98-1) unstable; urgency=medium

  [ Andrej Shadura ]
  * New upstream release: 0.98 (LP: #1840832).
  * Run all autopkgtests with Restriction: isolation-machine (Closes:
    #919426).

  [ Mathieu Trudel-Lapierre ]
  * debian/control: Add Build-Depends on libsystemd-dev for the D-Bus feature,
    and on dbus-x11 for dbus-launch used in tests.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 26 Sep 2019 14:35:32 +0200
