=== debian/tests/control ===
--- 
+++ 
@@ -55,7 +55,7 @@
   network-manager,
   hostapd,
   dnsmasq-base,
-Restrictions: allow-stderr, needs-root, isolation-machine
+Restrictions: allow-stderr, needs-root, isolation-machine, flaky
 Features: test-name=wifi
 
 Test-Command: python3 tests/integration/run.py --test=tunnels
@@ -89,4 +89,4 @@
 Features: test-name=regressions
 
 Tests: autostart
-Restrictions: allow-stderr, needs-root, isolation-container
+Restrictions: allow-stderr, needs-root, isolation-machine
